import config from "./config";
import tokenUtil from "./token";

const doCommand = function (response, var0, var1) {
    //console.log(response.code, response.code*1 === 200, response.success,
	// response.success === true, response.code*1 === 200 || response.success === true);
    if (response.code === 200 && response.success === true){
		let result = response.result;
        if (var0 instanceof Function){
            var0(result);
        } else {
            console.log("No Function:", var0);
            var0 = result;
            console.log("No Function:", var0);
        }
    } else {
		if (var1 && var1 instanceof Function){
			var1(response.message)
		} else {
			console.log(response)
		}
    }
};

const request = function (uri, param, method, var0, var1) {
    console.log("==> " + config + uri);
    uni.request({
        url: config + uri,
        method: method,
        dataType: "json",
        data: param,
        header: {'x-auth': tokenUtil.token()},
        success: function (res) {
            let response = res.data;
            console.log("<== ", response);
            doCommand(response, var0, var1);
        },
        complete(res) {
			//let response = res.data;
			//console.log("<== ", response);
			//doCommand(response, var0, var1);
        },
        fail(err) {
            console.log("Error:", err);
        },
    });
};

export default request;
